Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations.email.formatting
Class EmailContent

    java.lang.Object
      com.bea.netuix.application.communities.invitations.email.formatting.EmailContent

    public class EmailContent

extends Object

Represents a content portion of an email, including the content type, the encoding and content

The overview of community functionality contains a description of the community framework.

Field Summary
`static String` | `DEFAULT_CHARSET`
`static String` | `DEFAULT_CONTENT_TYPE`

Constructor Summary
`EmailContent(String content)`
`EmailContent(String content, String contentType, String charset)`

Method Summary
`String` | `getCharset()`
`String` | `getContent()`
`String` | `getContentType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CONTENT_TYPE

    public static String DEFAULT_CONTENT_TYPE

### DEFAULT_CHARSET

    public static String DEFAULT_CHARSET

Constructor Detail

### EmailContent

    public EmailContent(String content,
                        String contentType,
                        String charset)

### EmailContent

    public EmailContent(String content)

Method Detail

### getContent

    public String getContent()

### getContentType

    public String getContentType()

### getCharset

    public String getCharset()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.